# !/usr/bin/env perl

# moses_format.pl
# author: Chu Chenhui(Kyoto University)
# email: chu@nlp.ist.i.kyoto-u.ac.jp
# date: 2013/03/07

# Discription: output segmentation result as moses input format
# word=|=word

use strict;
use utf8;

binmode STDIN, ":utf8";
binmode STDOUT, ":utf8";

while(<>) {
    chomp;
    $_ =~ s/\t/ /g;
    $_ =~ s/[ ]+/ /g;
    $_ =~ s/\
//g;
    my @word_cn_array = split(/ /, $_);
    my $word_cn_array_len = @word_cn_array;

    for(my $i = 0; $i < $word_cn_array_len-1; $i++) {
	if($word_cn_array[$i] ne '') {
	    print "$word_cn_array[$i]\=\|=$word_cn_array[$i] ";
	}
    }
    print "$word_cn_array[$word_cn_array_len-1]\=\|=$word_cn_array[$word_cn_array_len-1]\n";
}
